QGIS Application - Bug report #8899
Help text for "Save vector layer as"
2013-10-17 09:14 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Documentation and Help

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 17577

Description
The help text for "Save vector layer as" doesn't include anything for the "Symbology export" aspect. It does include the other parts of the
dialog though.

Also there's no explanation for "Skip attribute creation" or "add saved file to map" (though the last is fairly self explanatory.

Oh and a typo:
"Enter one options per line"

should be "option" singular.

History

#1 - 2013-10-17 09:16 AM - Alexander Bruy

Don't complain, just write nice text and submit it.

#2 - 2013-10-17 09:19 AM - Jonathan Moules

I'm not complaining, I'm reporting a bug.

And given | have no clue what "Symbology Export" does (which is why | was looking at the help in the first place), I'm kind of in a poor position to write the

help.

#3 - 2013-10-17 09:32 AM - Matthias Kuhn

| added a lot of new options to this dialog at the HF in Brighton. Hopefully this can be included for the next release.
It still needs testing and the Ul is a bit of a mess and could be cleaned up.

Seeing that you are currently looking at this dialog, would it be possible for you to give this branch a test-drive or even try to improve it from a usability

perspective?

https://github.com/matthias-kuhn/QGIS/tree/filewriter

#4 - 2013-10-17 09:39 AM - Jonathan Moules

Hi Mattias, sorry but I'm not in a position to install branches. | need compiled stand alone installs (win x64). I'll happily test for you if you can provide one
though.
#5 - 2013-10-17 10:58 AM - Matthias Kuhn

And I'm not in the position to create windows builds in a suitable time.

On the other hand, having a look at gqgsvectorlayersaveasdialogbase.ui with Qt Designer and improving this dialog does not require compiling anything and
is rather simple.

#6 - 2013-10-17 11:06 AM - Werner Macho

| am going to test the functionality on the weekend and add reasonable default values ..

Regarding the GUI .. well there is a huge room for improvement :)

#7 - 2013-10-18 09:23 AM - Jonathan Moules

| have no idea what Qt Designer is or how to use it, or having just searched, even where to get it from. I'm happy to give it a try if it's simple to use and you

can point me to decent instructions.

#8 - 2017-05-01 01:09 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#9 - 2017-05-02 01:15 PM - Harrissou Santanna
- Description updated

- Resolution set to fixed/implemented

Fixed in master: Help button uses now the User manual where the information is provided.

#10 - 2017-05-02 01:28 PM - Harrissou Santanna
- Status changed from Open to Closed
